### Function

# AppStream BundleKind from_string

#### Declaration [src]

    AsBundleKind
    as_bundle_kind_from_string (
      const gchar* bundle_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`bundle_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsBundleKind`

A `AsBundleKind` or `AS_BUNDLE_KIND_UNKNOWN` for unknown.